@import "fonts.css";

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html {
    width: 100%;
    height: 100%;
}

body {
    width: 100%;
    height: 95%;
    background-color: #ffffff;
    top: 0;
    left: 0;
    z-index: -1;
    font-family: 'Roboto', sans-serif;
    margin: 0 auto;
}

.navbar{
	display: flex;
  position: fixed;
  top: 0;
  left: 50%;
  transform: translate(-50%,0);
  z-index: 1000;
  background-color: rgba(255, 255, 255);
  border-radius: 0px 0px 10px 10px;
}

.navbar ul
{
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    align-content: space-evenly;
    list-style-type: none;
}

.navbar li {
    padding: 3px 5px;
    margin: 3px 11px;
		width: 100%;
}

.navbar a
{
    display: block;
		width: 100%;
    font-size: clamp(1rem,3vw,1.7rem);
    float: left;
    color: #2020FF;
    text-align: center;
    text-decoration: none;
		white-space: nowrap;
}

.navbar li:hover
{
    background-color: rgba(128, 128, 128, 0.2);
    border-radius: 5px 5px 5px 5px;
}

.navbar input{
	display: none;
}

.navbar-label {
    display: none;
    flex-direction: column;
    cursor: pointer;
		padding: 0px 2px 4px 2px;
		background-color: white;
}

.navbar-label span {
		position: relative;
		left: 50%;
		transform: translate(-50%,0);
    height: 3px;
    width: 25px;
    background-color: #0000ff;
		margin-top: 4px;
}


main
{
  width: 100vw;
  height: 90vh;
  top: 46px;
}

footer
{
  display: flex;
  flex-direction: column;
  width: 100%;
  background-color: #554a40;
  color: #b8baa8;
}

.footer-top
{
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    align-items: stretch;
    align-content: space-evenly;
}

.footer-top-section
{
    width: 15%;
    min-width: 200px;
    margin: 5px;
    padding: 3px;
}

.footer-top-section > ul
{
    list-style-type: none;
}

.footer-top-section > ul > li
{
    margin-bottom: 0.5em; /* Set the space between each list item (half a line) */
    line-height: 1.5em; /* Optional: adjust line height to fine-tune spacing */
}

.footer-top-section > ul > li > a
{
    color: inherit;
}

.footer-logo
{
    width: 130px;
    height: auto;
		border-top-right-radius: 15px;
		border-bottom-right-radius: 15px;
}

.footer-bottom
{
    background-color: #b8baa8;
    color: #554a40;
    border-top: 1px solid #212624;
}

@media (max-width: 768px) {
	.navbar{
		transform: none;
		left: auto;
		right: 0;
		border-radius: 0px 0px 0px 5px;
	}

	.navbar-label{
		display: flex;
	}

	.navbar ul
	{
		display: none;
		flex-direction: column;
	}
	.navbar a
	{
    font-size: clamp(1.3rem,4vw,2.4rem);
	}

	#menu-toggle:checked ~ .navbar-menu{
		display: flex;
	}

	#menu-toggle:checked ~ .navbar-label{
		background-color: #eeeeee;
	}
}

@media (max-width: 960px) {
    .footer-top
    {
        display: grid;
        grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
        justify-content: center;
    }
}






